<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/**
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT
 * HOLDERS MAKE NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED,
 * INCLUDING BUT NOT LIMITED TO, WARRANTIES OF MERCHANTABILITY OR
 * FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF THE SOFTWARE
 * OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS,
 * COPYRIGHTS, TRADEMARKS OR OTHER RIGHTS.COPYRIGHT HOLDERS WILL NOT
 * BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL OR CONSEQUENTIAL
 * DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE OR DOCUMENTATION.
 * 
 * A copy of the GNU General Public License is available at:
 * 
 * 		http://gnu.org/licenses/
 * 
 * @appname		View
 * @version		0.1.2
 * @date		06/01/2010
 * 
 * @license		GNU General Public License
 * @author		Braden Schaeffer
 * @link		http://manasto.info
 * 
 * @file		View_hooks.php
 * 
 * Copyright (c) 2010
 */

class View_hooks {

	// --------------------------------------------------------------------------

	/*-------------------------------------------------------
	* Display Cache
	*
	* Called during the 'post_controller_constructor' hook
	* so we can utilize our own caching methods.
	-------------------------------------------------------*/

	function display_cache()
	{
		$CI =& get_instance();
		
		// If the View library isn't loaded, hello... load it
		if( ! isset($CI->view) || ! is_object($CI->view))
		{
			$CI->load->library('view');
		}
		
		// If a cache file doesn't exist, return FALSE
		if( ! $CI->view->_display_cache())
		{
			return FALSE;
		}
	}
	
	// --------------------------------------------------------------------------

	/*-------------------------------------------------------
	* Display Override
	*
	* Called during the 'display_override' hook to load
	* views using this library's methods. Done this way
	* we can manage the appending of headers/footers to
	* the output, as well as use our own caching methods.
	-------------------------------------------------------*/

	function display_override()
	{
		$CI =& get_instance();
		$CI->view->load();
		return TRUE;
	}
}

/* End of file View_hooks.php */
/* Location: ./application/hooks/View_hooks.php */